# -*- coding: utf-8 -*-
#
# Copyright © 2018 - 2019 Michal Čihař <michal@cihar.com>
#
# This file is part of Weblate translation-finder
# <https://github.com/WeblateOrg/translation-finder>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#

"""
Language data definitions.

This is an automatically generated file, see scripts/generate-language-data

Do not edit, please adjust language definitions in following repository:
https://github.com/WeblateOrg/language-data
"""

from __future__ import unicode_literals


# Known language codes
LANGUAGES = frozenset(
    (
        "aa",
        "aar",
        "ab",
        "abk",
        "ace",
        "ach",
        "ady",
        "ae",
        "af",
        "afr",
        "ak",
        "aka",
        "alb",
        "am",
        "amh",
        "an",
        "anp",
        "ar",
        "ar_ar",
        "ar_dz",
        "ar_eg",
        "ar_kw",
        "ar_ma",
        "ar_sa",
        "ara",
        "arabic",
        "arg",
        "arm",
        "arn",
        "ars",
        "as",
        "asa",
        "asm",
        "ast",
        "av",
        "ava",
        "ave",
        "ay",
        "aym",
        "az",
        "aze",
        "ba",
        "ba_ck",
        "bak",
        "bam",
        "baq",
        "bar",
        "base",
        "be",
        "be@latin",
        "be_latn",
        "be_rby",
        "bel",
        "bem",
        "ben",
        "bez",
        "bg",
        "bh",
        "bih",
        "bis",
        "bm",
        "bn",
        "bn_bd",
        "bn_in",
        "bo",
        "bod",
        "bos",
        "br",
        "braz_por",
        "bre",
        "brx",
        "bs",
        "bs_cyrl",
        "bs_latn",
        "bs_latn_ba",
        "bul",
        "bur",
        "by",
        "byn",
        "ca",
        "ca@valencia",
        "ca_es@valencia",
        "ca_ps",
        "cat",
        "ce",
        "ceb",
        "ces",
        "cgg",
        "ch",
        "cha",
        "che",
        "chi",
        "chinese_chs",
        "chinese_zh",
        "chm",
        "chr",
        "chu",
        "chv",
        "ckb",
        "cmn",
        "cn",
        "co",
        "cor",
        "cos",
        "cr",
        "cre",
        "crh",
        "cs",
        "csb",
        "cu",
        "cv",
        "cy",
        "cym",
        "cze",
        "da",
        "dan",
        "de",
        "de_at",
        "de_ch",
        "de_fo",
        "deu",
        "div",
        "dk",
        "doi",
        "dsb",
        "dut",
        "dutch_be",
        "dv",
        "dz",
        "dzo",
        "ee",
        "el",
        "ell",
        "en",
        "en_au",
        "en_ca",
        "en_en",
        "en_gb",
        "en_ie",
        "en_in",
        "en_nz",
        "en_ph",
        "en_us",
        "en_za",
        "eng",
        "english",
        "english_uk",
        "eo",
        "epo",
        "es",
        "es_419",
        "es_ar",
        "es_cl",
        "es_do",
        "es_ec",
        "es_eu",
        "es_mx",
        "es_pe",
        "es_pr",
        "es_us",
        "est",
        "et",
        "eu",
        "eus",
        "ewe",
        "fa",
        "fa_af",
        "fao",
        "fas",
        "ff",
        "fi",
        "fij",
        "fil",
        "fin",
        "fj",
        "fo",
        "fr",
        "fr_be",
        "fr_ca",
        "fr_ch",
        "fra",
        "fre",
        "french",
        "frp",
        "fry",
        "ful",
        "fur",
        "fy",
        "ga",
        "gd",
        "geo",
        "ger",
        "german",
        "gez",
        "gl",
        "gla",
        "gle",
        "glg",
        "glv",
        "gn",
        "gr",
        "gre",
        "grn",
        "gsw",
        "gu",
        "guj",
        "gun",
        "guw",
        "gv",
        "ha",
        "hat",
        "hau",
        "haw",
        "hbs",
        "he",
        "heb",
        "her",
        "hi",
        "hil",
        "hin",
        "hmo",
        "hne",
        "ho",
        "hr",
        "hrv",
        "hrx",
        "hsb",
        "ht",
        "hu",
        "hun",
        "hy",
        "hye",
        "hz",
        "ia",
        "ibo",
        "ice",
        "id",
        "ido",
        "ie",
        "ig",
        "ii",
        "iii",
        "ik",
        "iku",
        "ile",
        "ina",
        "ind",
        "indonesian",
        "ipk",
        "is",
        "isl",
        "it",
        "ita",
        "iu",
        "iw",
        "ja",
        "ja_ks",
        "jam",
        "jav",
        "jbo",
        "jgo",
        "ji",
        "jmc",
        "jp",
        "jpn",
        "jv",
        "jw",
        "ka",
        "kab",
        "kaj",
        "kal",
        "kan",
        "kas",
        "kat",
        "kau",
        "kaz",
        "kcg",
        "kde",
        "kea",
        "kg",
        "khm",
        "ki",
        "kik",
        "kin",
        "kir",
        "kj",
        "kk",
        "kkj",
        "kl",
        "km",
        "kmr",
        "kn",
        "ko",
        "kok",
        "kom",
        "kon",
        "kor",
        "korean",
        "kr",
        "ks",
        "ksb",
        "ksh",
        "ku",
        "kua",
        "kur",
        "kv",
        "kw",
        "ky",
        "la",
        "lag",
        "lao",
        "lat",
        "lav",
        "lb",
        "lg",
        "li",
        "lim",
        "lin",
        "lit",
        "lkt",
        "ln",
        "lo",
        "lt",
        "ltz",
        "lu",
        "lub",
        "lug",
        "lv",
        "mac",
        "mah",
        "mai",
        "mal",
        "mao",
        "mar",
        "mas",
        "may",
        "me",
        "mfe",
        "mg",
        "mgo",
        "mh",
        "mhr",
        "mi",
        "mia",
        "mk",
        "mkd",
        "ml",
        "mlg",
        "mlt",
        "mn",
        "mni",
        "mnk",
        "mo",
        "mon",
        "mr",
        "mri",
        "ms",
        "msa",
        "mt",
        "my",
        "mya",
        "na",
        "nah",
        "nap",
        "naq",
        "nau",
        "nav",
        "nb",
        "nb_no",
        "nbl",
        "nd",
        "nde",
        "ndo",
        "nds",
        "ne",
        "nep",
        "ng",
        "nl",
        "nl_be",
        "nld",
        "nn",
        "nnh",
        "nno",
        "no",
        "no_nb",
        "nob",
        "nor",
        "norwegian",
        "nqo",
        "nr",
        "nso",
        "nv",
        "ny",
        "nya",
        "nyn",
        "oc",
        "oci",
        "oj",
        "oji",
        "om",
        "or",
        "ori",
        "orm",
        "os",
        "oss",
        "pa",
        "pan",
        "pap",
        "per",
        "pi",
        "pl",
        "pli",
        "pms",
        "pol",
        "polish",
        "por",
        "portuguese_br",
        "portuguese_portugal",
        "pr",
        "prg",
        "ps",
        "pt",
        "pt_ao",
        "pt_br",
        "pt_pt",
        "pus",
        "qu",
        "que",
        "rm",
        "rn",
        "ro",
        "ro_md",
        "rof",
        "roh",
        "ron",
        "rs",
        "ru",
        "ru_r",
        "ru_rr",
        "rue",
        "rum",
        "run",
        "rus",
        "russian",
        "rw",
        "rwk",
        "sag",
        "sah",
        "san",
        "saq",
        "sat",
        "sc",
        "scc",
        "schinese",
        "sco",
        "scr",
        "sd",
        "sdh",
        "se",
        "seh",
        "serbian",
        "serbo_croatian",
        "ses",
        "sg",
        "sh",
        "shi",
        "shn",
        "si",
        "sin",
        "sk",
        "sl",
        "slk",
        "slo",
        "slv",
        "sm",
        "sma",
        "sme",
        "smi",
        "smj",
        "smn",
        "smo",
        "sms",
        "sn",
        "sna",
        "snd",
        "so",
        "som",
        "son",
        "sot",
        "spa",
        "spanish",
        "sq",
        "sqi",
        "sr",
        "sr@cyrillic",
        "sr@latin",
        "sr_cs",
        "sr_cyrl",
        "sr_latn",
        "sr_latn_rs",
        "sr_rs@cyrillic",
        "sr_rs@latin",
        "srd",
        "srp",
        "ss",
        "ssw",
        "ssy",
        "st",
        "su",
        "sun",
        "sv",
        "svk",
        "sw",
        "sw_cd",
        "swa",
        "swe",
        "syr",
        "szl",
        "ta",
        "ta_lk",
        "tah",
        "tam",
        "tat",
        "tchinese",
        "te",
        "tel",
        "teo",
        "tg",
        "tgk",
        "tgl",
        "th",
        "tha",
        "ti",
        "tib",
        "tig",
        "tir",
        "tk",
        "tl",
        "tlh",
        "tlh-qaak",
        "tn",
        "to",
        "ton",
        "tsn",
        "tso",
        "tt",
        "tt@iqtelif",
        "tuk",
        "tur",
        "tw",
        "twi",
        "ty",
        "tzm",
        "ua",
        "ug",
        "uig",
        "uk",
        "ukr",
        "ur",
        "ur_pk",
        "urd",
        "uz",
        "uz@latin",
        "uz_latn",
        "uzb",
        "val_es",
        "ve",
        "vec",
        "ven",
        "vi",
        "vie",
        "vls",
        "vo",
        "vol",
        "vun",
        "wa",
        "wae",
        "wal",
        "wel",
        "wen",
        "wln",
        "wo",
        "wol",
        "xh",
        "xho",
        "xog",
        "yi",
        "yid",
        "yo",
        "yor",
        "yue",
        "za",
        "zh",
        "zh_chs",
        "zh_cmn_hans",
        "zh_cmn_hant",
        "zh_cn",
        "zh_hans",
        "zh_hans_cn",
        "zh_hant",
        "zh_hant_hk",
        "zh_hk",
        "zh_tw",
        "zha",
        "zho",
        "zu",
        "zul",
    )
)
